package com.changfa.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.changfa.dto.SaveUserDto;
import com.changfa.entity.TUser;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wwz
 * @since 2022-06-24
 */
public interface ITUserService extends IService<TUser> {

    boolean deleteUser(Integer userId);

    boolean saveUser(SaveUserDto saveUserDto);

    Page selectUserPage(Page page, Wrapper wrapper);

}
